Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(10)

Issue 2793443003: Removed NOTIFICATION_BROWSER_CLOSING notification (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 3 weeks ago by Alexey Seren
Modified:
1 month, 2 weeks ago
Reviewers:
Sam McNally, hashimoto, sky
CC:
chromium-reviews, gab (OOO Friday), manzagop
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Replaced NOTIFICATION_BROWSER_CLOSING by BrowserListObserver::OnBrowserCloseStarted event. R=sky@chromium.org Review-Url: https://codereview.chromium.org/2793443003 Cr-Commit-Position: refs/heads/master@{#471292} Committed: https://chromium.googlesource.com/chromium/src/+/c474307ec0c335b7bc6877f0181aa67293fd1d7c

Patch Set 1 #

Patch Set 2 : Added browser tests #

Total comments: 16

Patch Set 3 : Updates basing on review comments #

Patch Set 4 : Fixed typos #

Total comments: 2

Patch Set 5 : Reset g_shutdown_type on close cancel #

Total comments: 11

Patch Set 6 : Replaced NOTIFICATION_BROWSER_CLOSING with BrowserListObserver event #

Patch Set 7 : Removed unused headers from unload controllers #

Total comments: 3

Patch Set 8 : Removed NOTIFICATION_BROWSER_CLOSING as separate patch #

Total comments: 4

Patch Set 9 : Update CL basing on review comments #

Patch Set 10 : Update CL basing on review comments (rebase) #

Unified diffs Side-by-side diffs Delta from patch set Stats (+77 lines, -83 lines) Patch
M chrome/browser/chrome_notification_types.h View 1 2 3 4 5 1 chunk +0 lines, -6 lines 0 comments Download
M chrome/browser/ui/ash/launcher/browser_shortcut_launcher_item_controller.h View 1 2 3 4 5 6 7 8 9 3 chunks +7 lines, -9 lines 0 comments Download
M chrome/browser/ui/ash/launcher/browser_shortcut_launcher_item_controller.cc View 1 2 3 4 5 6 7 8 9 7 chunks +10 lines, -18 lines 0 comments Download
M chrome/browser/ui/browser.cc View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -5 lines 0 comments Download
M chrome/browser/ui/browser_list.h View 1 2 3 4 5 6 7 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/browser/ui/browser_list.cc View 1 2 3 4 5 6 7 8 9 1 chunk +6 lines, -0 lines 0 comments Download
M chrome/browser/ui/browser_list_observer.h View 1 2 3 4 5 6 7 8 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/browser/ui/cocoa/profiles/profile_chooser_controller.mm View 1 2 3 4 5 6 7 8 9 6 chunks +9 lines, -12 lines 0 comments Download
M chrome/browser/ui/extensions/extension_installed_bubble.cc View 1 2 3 4 5 6 7 8 9 4 chunks +13 lines, -18 lines 0 comments Download
M chrome/browser/ui/tabs/pinned_tab_service.h View 1 2 3 4 5 6 7 8 4 chunks +10 lines, -0 lines 0 comments Download
M chrome/browser/ui/tabs/pinned_tab_service.cc View 1 2 3 4 5 6 7 8 3 chunks +13 lines, -15 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 59 (30 generated)
Alexey Seren
2 months, 3 weeks ago (2017-03-31 07:07:48 UTC) #1
sky
https://codereview.chromium.org/2793443003/diff/20001/chrome/browser/browser_shutdown_browsertest.cc File chrome/browser/browser_shutdown_browsertest.cc (right): https://codereview.chromium.org/2793443003/diff/20001/chrome/browser/browser_shutdown_browsertest.cc#newcode28 chrome/browser/browser_shutdown_browsertest.cc:28: }; private: DISALLOW_.. https://codereview.chromium.org/2793443003/diff/20001/chrome/browser/ui/browser.cc File chrome/browser/ui/browser.cc (right): https://codereview.chromium.org/2793443003/diff/20001/chrome/browser/ui/browser.cc#newcode2564 chrome/browser/ui/browser.cc:2564: ...
2 months, 3 weeks ago (2017-03-31 14:23:41 UTC) #12
sky
https://codereview.chromium.org/2793443003/diff/20001/chrome/browser/ui/browser_list_observer.h File chrome/browser/ui/browser_list_observer.h (right): https://codereview.chromium.org/2793443003/diff/20001/chrome/browser/ui/browser_list_observer.h#newcode27 chrome/browser/ui/browser_list_observer.h:27: virtual void OnBrowserWindowClosing(Browser* browser) {} Please move OnBrowserRemoved after ...
2 months, 3 weeks ago (2017-03-31 14:36:54 UTC) #13
Alexey Seren
Thank you for reviewing this CL. Please see my comments below. https://codereview.chromium.org/2793443003/diff/20001/chrome/browser/browser_shutdown_browsertest.cc File chrome/browser/browser_shutdown_browsertest.cc (right): ...
2 months, 3 weeks ago (2017-04-02 12:02:35 UTC) #14
hashimoto
cc: gab@ and manzagop@ who might be interested in problems related to the "Shutdown.*" histograms. ...
2 months, 3 weeks ago (2017-04-04 08:54:07 UTC) #19
sky
https://codereview.chromium.org/2793443003/diff/20001/chrome/browser/ui/browser_commands.cc File chrome/browser/ui/browser_commands.cc (right): https://codereview.chromium.org/2793443003/diff/20001/chrome/browser/ui/browser_commands.cc#newcode759 chrome/browser/ui/browser_commands.cc:759: chrome::AttemptExit(); On 2017/04/04 08:54:07, hashimoto wrote: > On 2017/04/02 ...
2 months, 3 weeks ago (2017-04-04 16:56:49 UTC) #20
Alexey Seren
On 2017/04/04 16:56:49, sky wrote: > https://codereview.chromium.org/2793443003/diff/20001/chrome/browser/ui/browser_commands.cc > File chrome/browser/ui/browser_commands.cc (right): > > https://codereview.chromium.org/2793443003/diff/20001/chrome/browser/ui/browser_commands.cc#newcode759 > ...
2 months, 2 weeks ago (2017-04-09 17:51:11 UTC) #21
Alexey Seren
https://codereview.chromium.org/2793443003/diff/60001/chrome/browser/ui/browser.cc File chrome/browser/ui/browser.cc (right): https://codereview.chromium.org/2793443003/diff/60001/chrome/browser/ui/browser.cc#newcode2565 chrome/browser/ui/browser.cc:2565: BrowserList::GetInstance()->currently_closing_browsers_count() + 1; On 2017/04/04 08:54:07, hashimoto wrote: > ...
2 months, 2 weeks ago (2017-04-09 17:51:38 UTC) #22
Alexey Seren
On 2017/04/04 08:54:07, hashimoto wrote: > cc: gab@ and manzagop@ who might be interested in ...
2 months, 2 weeks ago (2017-04-09 18:20:02 UTC) #23
hashimoto
+sammc Sam, in https://codereview.chromium.org/25603004, AttemptUserExit() stopped calling SetTryingToQuit(true), and it resulted in browser_shutdown::OnShutdownStarting() not called ...
2 months, 1 week ago (2017-04-14 08:54:37 UTC) #25
Sam McNally
On 2017/04/14 08:54:37, hashimoto wrote: > +sammc > > Sam, in https://codereview.chromium.org/25603004, AttemptUserExit() stopped > ...
2 months, 1 week ago (2017-04-18 04:19:50 UTC) #26
Alexey Seren
PTAL, It seems that currently shutdown by window closing can be detected only on Mac ...
2 months ago (2017-04-22 19:52:54 UTC) #28
hashimoto
Sorry for being late to respond. NOTIFICATION_BROWSER_CLOSING removal looks good. Probably, it's better to create ...
1 month, 4 weeks ago (2017-04-28 09:16:29 UTC) #29
Alexey Seren
Thank you for reviewing this CL! Should I do NOTIFICATION_BROWSER_CLOSING removal in separate CL or ...
1 month, 3 weeks ago (2017-05-03 17:19:44 UTC) #30
sky
I'm ok with moving removal to a separate patch, as long as you are going ...
1 month, 3 weeks ago (2017-05-04 23:41:30 UTC) #31
Alexey Seren
PTAL, Last patch set contains replacement of NOTIFICATION_BROWSER_CLOSING with BrowserListObserver::OnBrowserCloseStarted event.
1 month, 2 weeks ago (2017-05-08 19:01:57 UTC) #32
hashimoto
Sorry for being late to respond! I was out of office last week. On 2017/05/08 ...
1 month, 2 weeks ago (2017-05-09 08:22:08 UTC) #33
Alexey Seren
On 2017/05/09 08:22:08, hashimoto wrote: > Sorry for being late to respond! > I was ...
1 month, 2 weeks ago (2017-05-09 10:56:44 UTC) #35
hashimoto
lgtm, thanks. Please also get reviewed by one of the owners.
1 month, 2 weeks ago (2017-05-09 10:57:47 UTC) #36
sky
https://codereview.chromium.org/2793443003/diff/140001/chrome/browser/ui/browser_list_observer.h File chrome/browser/ui/browser_list_observer.h (right): https://codereview.chromium.org/2793443003/diff/140001/chrome/browser/ui/browser_list_observer.h#newcode19 chrome/browser/ui/browser_list_observer.h:19: virtual void OnBrowserCloseStarted(Browser* browser) {} Please name this OnBrowserClosing() ...
1 month, 2 weeks ago (2017-05-09 17:19:28 UTC) #37
Alexey Seren
PTAL, Thank you. https://codereview.chromium.org/2793443003/diff/140001/chrome/browser/ui/browser_list_observer.h File chrome/browser/ui/browser_list_observer.h (right): https://codereview.chromium.org/2793443003/diff/140001/chrome/browser/ui/browser_list_observer.h#newcode19 chrome/browser/ui/browser_list_observer.h:19: virtual void OnBrowserCloseStarted(Browser* browser) {} On ...
1 month, 2 weeks ago (2017-05-10 10:25:30 UTC) #38
sky
LGTM
1 month, 2 weeks ago (2017-05-10 16:03:20 UTC) #39
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2793443003/160001
1 month, 2 weeks ago (2017-05-11 13:54:01 UTC) #42
commit-bot: I haz the power
Try jobs failed on following builders: android_arm64_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_arm64_dbg_recipe/builds/265910) android_clang_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, ...
1 month, 2 weeks ago (2017-05-11 13:57:50 UTC) #44
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2793443003/180001
1 month, 2 weeks ago (2017-05-12 10:57:02 UTC) #47
Alexey Seren
Rebased on the latest master
1 month, 2 weeks ago (2017-05-12 11:11:17 UTC) #48
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/442946)
1 month, 2 weeks ago (2017-05-12 12:20:49 UTC) #50
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2793443003/180001
1 month, 2 weeks ago (2017-05-12 13:12:01 UTC) #56
commit-bot: I haz the power
1 month, 2 weeks ago (2017-05-12 13:16:58 UTC) #59
Message was sent while issue was closed.
Committed patchset #10 (id:180001) as
https://chromium.googlesource.com/chromium/src/+/c474307ec0c335b7bc6877f0181a...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318